Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(161)

Issue 1740583002: Reland of Change default Windows compiler to VS 2015 (Closed)

Created:
4 years, 10 months ago by brucedawson
Modified:
4 years, 9 months ago
Reviewers:
Dirk Pranke, scottmg
CC:
chromium-reviews, S├ębastien Marchand, jschuh
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland of Change default Windows compiler to VS 2015 The change to get_landmines.py is there because modifying this file affects analyze behavior so that all tests run. Changing the printed message is purely a side effect. This change also removes some redundant INCLUDE paths. These are unnecessary when building with VS 2015 (because it defaults to the Windows 10 SDK) and actively harmful (they make the INCLUDE path problematically long). This change was redone in order to fix merge conflicts and because after a few weeks a fresh set of approvals seems reasonable. The original change was landed as crrev.com/1598493004 BUG=440500, 584782 Committed: https://crrev.com/d4dcbd342dd54f55383daf8bc44b2c9d97fe0d0b Cr-Commit-Position: refs/heads/master@{#380382}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -22 lines) Patch
M build/common.gypi View 1 chunk +6 lines, -4 lines 0 comments Download
M build/get_landmines.py View 1 chunk +1 line, -3 lines 0 comments Download
M build/toolchain/win/setup_toolchain.py View 1 chunk +12 lines, -12 lines 0 comments Download
M build/vs_toolchain.py View 3 chunks +5 lines, -3 lines 0 comments Download

Messages

Total messages: 19 (5 generated)
brucedawson
Pending the landing of two changes (a toolchain update and some warning fixes that the ...
4 years, 9 months ago (2016-03-08 22:20:33 UTC) #3
scottmg
lgtm (Did this get the stuff that Nico added to package_from_installed recently?)
4 years, 9 months ago (2016-03-08 22:23:37 UTC) #4
brucedawson
On 2016/03/08 22:23:37, scottmg wrote: > lgtm > > (Did this get the stuff that ...
4 years, 9 months ago (2016-03-08 22:29:17 UTC) #5
Nico
Does this work with the released version of 2015? If not, what's the failure mode ...
4 years, 9 months ago (2016-03-08 22:39:45 UTC) #6
brucedawson
On 2016/03/08 22:39:45, Nico wrote: > Does this work with the released version of 2015? ...
4 years, 9 months ago (2016-03-08 22:46:17 UTC) #7
Dirk Pranke
Can we avoid the change to get_landmines by doing something like what we do for ...
4 years, 9 months ago (2016-03-08 22:49:20 UTC) #8
Dirk Pranke
lgtm otherwise, though.
4 years, 9 months ago (2016-03-08 22:49:29 UTC) #9
brucedawson
On 2016/03/08 22:49:20, Dirk Pranke wrote: > Can we avoid the change to get_landmines by ...
4 years, 9 months ago (2016-03-09 01:39:28 UTC) #10
Dirk Pranke
On 2016/03/09 01:39:28, brucedawson wrote: > On 2016/03/08 22:49:20, Dirk Pranke wrote: > > Can ...
4 years, 9 months ago (2016-03-09 02:03:15 UTC) #11
brucedawson
Okay, going for it. The try job with the warning suppressions embedded (crrev.com/1779713003, warning suppressions ...
4 years, 9 months ago (2016-03-10 06:02:18 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1740583002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1740583002/1
4 years, 9 months ago (2016-03-10 06:02:48 UTC) #14
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 9 months ago (2016-03-10 09:20:48 UTC) #16
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/d4dcbd342dd54f55383daf8bc44b2c9d97fe0d0b Cr-Commit-Position: refs/heads/master@{#380382}
4 years, 9 months ago (2016-03-10 09:23:00 UTC) #18
vasilii
4 years, 9 months ago (2016-03-10 12:39:46 UTC) #19
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/1778343002/ by vasilii@chromium.org.

The reason for reverting is: Broke isolate tests on Win8 GN (dbg) and Win x64 GN
(dbg).
https://build.chromium.org/p/chromium.win/builders/Win8%20GN%20%28dbg%29/buil...

[found] [hashed/size/to hash] [looked up/to lookup] [uploaded/size/to
upload/size]
04:10:31.512494 Root: E:\b\build\slave\Win8_GN__dbg_\build\src
04:10:31.513479 Root: E:\b\build\slave\Win8_GN__dbg_\build\src

events_unittests  GetFileAttributesEx
E:\b\build\slave\Win8_GN__dbg_\build\src\out\Debug\msvcp120d.dll: The system
cannot find the file specified.
04:10:31.988532
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\content\test\data\) =
1574 files
04:10:32.060523
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\media\test\data\) = 233
files
04:10:32.435549
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\net\data\) = 974 files
04:10:32.464549
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\net\tools\testserver\) =
11 files
[2843] [6/29.0Mib/39] [0/6] [0/0b/0/0b] 1s
04:10:32.505555
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\third_party\pyftpdlib\) =
37 files
04:10:32.539557
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\third_party\pywebsocket\)
= 99 files
04:10:32.578571
PushDirectory(E:\b\build\slave\Win8_GN__dbg_\build\src\third_party\tlslite\) =
105 files


content_browsertests  GetFileAttributesEx
E:\b\build\slave\Win8_GN__dbg_\build\src\out\Debug\msvcp120d.dll: The system
cannot find the file specified.
Hits    :     0 (0b)
Misses  :     0 (0b)
Duration: 1.301s
isolate: GetFileAttributesEx
E:\b\build\slave\Win8_GN__dbg_\build\src\out\Debug\msvcp120d.dll: The system
cannot find the file specified.
step returned non-zero exit code: 1
.

Powered by Google App Engine
This is Rietveld 408576698